# Get all the recordings for the booking

## cURL

```bash
curl --request GET \
  --url https://api.cal.com/v2/bookings/{bookingUid}/recordings \
  --header 'Authorization: <authorization>' \
  --header 'cal-api-version: 2026-02-25'
```

## Response 200

```json
{
  "status": "success",
  "data": [
    {
      "id": "1234567890",
      "roomName": "daily-video-room-123",
      "startTs": 1678901234,
      "status": "completed",
      "duration": 3600,
      "shareToken": "share-token-123",
      "maxParticipants": 10,
      "downloadLink": "https://cal-video-recordings.s3.us-east-2.amazonaws.com/meetco/123s",
      "error": "Error message"
    }
  ]
}
```

## Headers

| Parameter          | Type   | Default            | Required | Description                                                                 |
|--------------------|--------|--------------------|----------|-----------------------------------------------------------------------------|
| cal-api-version     | string | default:2026-02-25 | Yes      | Must be set to 2026-02-25.                                               |
| Authorization       | string |                    | Yes      | value must be `Bearer <token>` where `<token>` is api key prefixed with cal_, managed user access token, or OAuth access token |

## Path Parameters

| Parameter   | Type   | Required | Description           |
|-------------|--------|----------|-----------------------|
| bookingUid  | string | Yes      |                       |

## Response

**200 - application/json**

| Parameter   | Type                | Required | Description                    |
|-------------|---------------------|----------|--------------------------------|
| status      | enum<string>        | Yes      | Available options: `success`, `error`  |
| data        | object[]            | Yes      | Showchild attributes           |
